﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace Sweda
{
    class SI300
    {
        #region Status da Impressora

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_eBuscarPortaVelocidade();

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_rConsultaStatusImpressora(string indice, string retorno, ref string ret);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_rStatusGuilhotina();

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_rStatusDocumento();

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_fecharPorta();

        #endregion

        #region Configurações

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_regEnterFinal(string valor);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_regTabulacao(string tab);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_regPortaComunicacao(StringBuilder porta);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_regCodePageAutomatico(string value);

        #endregion


        #region Gaveta

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_regModoGaveta(string status);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_iAcionarGaveta();

        #endregion



        #region Impressão de Texto

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_iImprimirTexto(string texto, int tamanho);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_iImprimirImagem(string arq);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_iCarregarBMPMemoria(string pszpath, int tipo);

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]  
        public static extern int SI300_iImprimirBMPMemoria();

        [DllImport("SI300.DLL", CallingConvention = CallingConvention.Cdecl)]
        public static extern int SI300_iImprimirXML(string pszPath, string ptAutorizacao, string dhRecto, int tpCupom, string CIDTOKEN , string CSC, int viaEstabelecimento, bool Endereco);

        public static void ImprimirTexto()  // metodo para usar somente no formulario de cod. de barras.
        {
            int retorno;
            string cod1;

           cod1 = WindowsFormsApplication1.frmCodBarras.cod; // pegando valor de uma variavel global que está declarada em outro form.
            
           retorno = SI300_iImprimirTexto(cod1+WindowsFormsApplication1.frmCodBarras.cod2,0);

           

            if (retorno == 0)
            {
                MessageBox.Show("Erro: Sem comunicação com a Impressora", "Resposta da DLL",MessageBoxButtons.OK,MessageBoxIcon.Error,MessageBoxDefaultButton.Button3);
            }

            if (retorno == -99)
            {
                MessageBox.Show("Parâmetro Inválido", "Resposta da DLL", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button3);
            }
            if (retorno == 1)
            {
               
                SI300_iImprimirTexto("<sl>1</sl>" + "<gui></gui>", 0); // Salta 1 linha e guilhotina.
               
            }
           
        }
        #endregion
        public static void AnalisaRetorno(int retorno)
        {
            if (retorno == 1)
            {
                MessageBox.Show("Comando OK","Resposta do Sistema",MessageBoxButtons.OK,MessageBoxIcon.Information);
            
            }
            if (retorno == -99)
            {
                MessageBox.Show("Parâmetro Inválido", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
            
            }
            if (retorno == 0)
            {
                MessageBox.Show("Erro: Sem comunicação com a Impressora", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
            
            }
        
        }

        public static void AnalisaErro(int ret)
        {
            if (ret == -99)
            {
                MessageBox.Show("Parâmetro Inválido", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);

            }
            if (ret == 0)
            {
                MessageBox.Show("Erro: Sem comunicação com a Impressora", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);

            }
            if (ret == -8)
            {
                MessageBox.Show("Erro: Não foi possível localizar a Imagem !", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
            
            }
        
        }
    }
}
