﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class frmConfiguração : Form
    {
        int Iretorno;

        public frmConfiguração()
        {
            InitializeComponent();
        }

        private void btnVerifPorta_Click(object sender, EventArgs e)
        {

            Iretorno = Sweda.SI300.SI300_eBuscarPortaVelocidade(); // Realiza a Busca da porta e velocidade, se necessario altera chaves de <Velocidade> e <Porta> no Conversor.ini.

            Sweda.SI300.AnalisaRetorno(Iretorno);
        }

        

        private void btnEnterFinal_Click(object sender, EventArgs e)
        {
            
            DialogResult resposta;

            resposta = MessageBox.Show("Deseja ativar o Enter automatico ?","Informações do Sistema",MessageBoxButtons.YesNo,MessageBoxIcon.Information,MessageBoxDefaultButton.Button1);

            if (resposta == DialogResult.Yes)
            {                
                Iretorno = Sweda.SI300.SI300_regEnterFinal("1");
                                
            }
            else
            {                      
                Iretorno = Sweda.SI300.SI300_regEnterFinal("0");
            
            }
            Sweda.SI300.AnalisaRetorno(Iretorno);
        }

        private void btnVoltar_Click(object sender, EventArgs e)
        {

            this.Hide();

        }

        private void btnTab_Click(object sender, EventArgs e)
        {
          string tab;
            
          
             if (cmbTab.SelectedIndex == 6) // Verificando se o que foi selecionado é a opção "Todos" que é a 6° opção.
             {
            
                Iretorno = Sweda.SI300.SI300_regTabulacao("05,10,15,20,25,35");
           
              }
              else
              {
                  tab = cmbTab.SelectedItem.ToString();
                  Iretorno = Sweda.SI300.SI300_regTabulacao(tab);
              }
             Sweda.SI300.AnalisaRetorno(Iretorno);
              
        }         

        private void btnModoGav_Click(object sender, EventArgs e)
        {
            
            DialogResult resposta;

            resposta = MessageBox.Show("Deseja ativar o Modo Gaveta ?", "Informações do Sistema", MessageBoxButtons.YesNo, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);

            if (resposta == DialogResult.Yes)
            {
                
                Iretorno = Sweda.SI300.SI300_regModoGaveta("1");
                
            }
            else
            {
               
                Iretorno = Sweda.SI300.SI300_regModoGaveta("0");
                
            }
            Sweda.SI300.AnalisaRetorno(Iretorno);

        }

        private void btnAbreGaveta_Click(object sender, EventArgs e)
        {

            Iretorno = Sweda.SI300.SI300_iAcionarGaveta();
            Sweda.SI300.AnalisaRetorno(Iretorno);
           
        }
            
        private void btnCodePage_Click(object sender, EventArgs e)
        {
            
            DialogResult resposta;

            resposta = MessageBox.Show("Deseja Habilitar a Tabela Code Page ?", "Informações do Sistema", MessageBoxButtons.YesNo, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);

            if (resposta == DialogResult.Yes)
            {
                
                Iretorno = Sweda.SI300.SI300_regCodePageAutomatico("1");
                
            }
            else
            {
                
                Iretorno = Sweda.SI300.SI300_regCodePageAutomatico("0");
                
            }
            Sweda.SI300.AnalisaRetorno(Iretorno);
        }

        private void btnFecharPorta_Click(object sender, EventArgs e)
        {
            Iretorno = Sweda.SI300.SI300_fecharPorta();
            Sweda.SI300.AnalisaRetorno(Iretorno);
        }
                

        private void frmConfiguração_Load(object sender, EventArgs e)
        {
            cmbTab.SelectedIndex = 6;
            
            ToolTip info = new ToolTip();
            info.AutoPopDelay = 5000;
            info.InitialDelay = 100;
            info.ReshowDelay = 700;

            info.ShowAlways = true;
            info.SetToolTip(this.btnVerifPorta, "Realiza a Busca da porta e velocidade, se necessário altera chaves de <Velocidade> e <Porta> no Conversor.ini");
            
            info.SetToolTip(this.btnEnterFinal, "Permite configurar a impressora para quando efetuar a impressão de uma linha ela irá quebrar a linha automaticamente");

            info.SetToolTip(this.btnModoGav, "Usa-se para informar que o cabo está com a conexão invertida ou padrão, cada fabricante de gaveta utiliza uma forma de ligamento - 1(Sim) Habilita(Invertido) e 0(Não)");

            info.SetToolTip(this.btnCodePage, "Este método permite que os caracteres especiais como acentos, entre outros da tabela ASCII seja impresso na impressora");
               

            info.SetToolTip(this.lblTabulacao, "Este método configura a tabulação na impressora, que funciona exatamente  como em uma máquina de escrever, ou seja, primeiro define as tabulações, depois as utiliza");
        }

        private void btnVerifGuilhotina_Click(object sender, EventArgs e)
        {
          Iretorno = Sweda.SI300.SI300_iImprimirTexto("<gui></gui>",0);

          Sweda.SI300.AnalisaErro(Iretorno);
         
        }

        private void btnAvançar_Click(object sender, EventArgs e)
        {
            Iretorno = Sweda.SI300.SI300_iImprimirTexto("<sl>1</sl>", 0);
            Sweda.SI300.AnalisaErro(Iretorno);
           
        }

             

        
    }
}
